com.streambase.sb.unittest

## Interface Enqueuer

-     public interface Enqueuer

  An Enqueuer is used for enqueueing tuples onto a stream.
  Since:
    6.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enqueue(List<Tuple> tuples)` Enqueue multiple tuples to the stream
    `void` | `enqueue(Tuple... tuples)` Enqueue multiple tuples to the stream
    `void` | `enqueue(Tuple tuple)` Enqueue Tuple to the stream
    `<T> void` | `enqueue(TupleMaker<T> tupleMaker, List<T> t)` Create multiple tuples using a `TupleMaker` and then enqueue them.
    `<T> void` | `enqueue(TupleMaker<T> tupleMaker, T... t)` Create multiple tuples using a `TupleMaker` and then enqueue them.
    `<T> void` | `enqueue(TupleMaker<T> tupleMaker, T t)` Create a tuple using a `TupleMaker` and then enqueue it.
    `Schema` | `getSchema()` Get the `Schema` for the associated stream. Equivalent to `getStreamProperties().getSchema()`
    `StreamProperties` | `getStreamProperties()` Get the `StreamProperties` for the associated stream.

- - ### Method Detail

    - #### getStreamProperties

          StreamProperties getStreamProperties()

      Get the `StreamProperties` for the associated stream.

    - #### getSchema

          Schema getSchema()

      Get the `Schema` for the associated stream.
      Equivalent to `getStreamProperties().getSchema()`

    - #### enqueue

          void enqueue(Tuple tuple)
                throws StreamBaseException

      Enqueue Tuple to the stream
      Throws:
        `StreamBaseException`

    - #### enqueue

          void enqueue(List<Tuple> tuples)
                throws StreamBaseException

      Enqueue multiple tuples to the stream
      Throws:
        `StreamBaseException`

    - #### enqueue

          void enqueue(Tuple... tuples)
                throws StreamBaseException

      Enqueue multiple tuples to the stream
      Throws:
        `StreamBaseException`

    - #### enqueue

          <T> void enqueue(TupleMaker<T> tupleMaker,
                           T t)
                    throws StreamBaseException

      Create a tuple using a `TupleMaker` and then enqueue it.
      Throws:
        `StreamBaseException`

    - #### enqueue

          <T> void enqueue(TupleMaker<T> tupleMaker,
                           T... t)
                    throws StreamBaseException

      Create multiple tuples using a `TupleMaker` and then enqueue them.
      Throws:
        `StreamBaseException`

    - #### enqueue

          <T> void enqueue(TupleMaker<T> tupleMaker,
                           List<T> t)
                    throws StreamBaseException

      Create multiple tuples using a `TupleMaker` and then enqueue them.
      Throws:
        `StreamBaseException`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.